Bug 1195862 - Review Request: perl-Class-Virtual - Base class for virtual base classes in Perl
Summary: Review Request: perl-Class-Virtual - Base class for virtual base classes in Perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 17:45 UTC by Denis Fateyev
Modified: 2015-03-25 20:00 UTC (History)
3 users (show)

Fixed In Version: perl-Class-Virtual-0.07-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 17:29:36 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2015-02-24 17:45:37 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora20/testing/perl-Class-Virtual.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora20/testing/SRPMS/perl-Class-Virtual-0.06-1.fc20.denf.src.rpm
Description: This is a base class for implementing virtual base classes (what some people call an abstract class). It allows the programmer to explicitly declare what methods are virtual and that must be implemented by subclasses.
Fedora Account System Username: dfateyev

Koji scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=9054682 (Rawhide)
https://koji.fedoraproject.org/koji/taskinfo?taskID=9054883 (Fedora 22)
https://koji.fedoraproject.org/koji/taskinfo?taskID=9054713 (EPEL 7)
https://koji.fedoraproject.org/koji/taskinfo?taskID=9054690 (EPEL 6)

Comment 1 Petr Šabata 2015-02-25 11:36:43 UTC
The distribution claims to use the `Perl' license but then only links to Artistic.  Whether this means `GPL+ or Artistic' or simply just `Artistic' is debatable.  Could you ask upstream for clarification?

This aside, there are no packaging issues whatsoever.

Comment 2 Denis Fateyev 2015-02-26 19:26:52 UTC
The author (Michael G Schwern) wrote: "Yes, 'same as Perl' means dual Artistic + GPL.  This is the text it should have."
So we're fine with the existing version.

Comment 3 Petr Šabata 2015-02-27 09:20:14 UTC
Great.  If he said so in an email, could you put that in %doc?

Approving.

Comment 4 Denis Fateyev 2015-02-27 17:17:12 UTC
New Package SCM Request
=======================
Package Name: perl-Class-Virtual
Short Description: Base class for virtual base classes in Perl
Owners: dfateyev
Branches: f20 f21 f22 el6 epel7 
InitialCC:

Comment 5 Gwyn Ciesla 2015-02-27 17:56:49 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-03-07 01:04:16 UTC
perl-Class-Virtual-0.07-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Class-Virtual-0.07-1.fc22

Comment 7 Fedora Update System 2015-03-07 01:05:30 UTC
perl-Class-Virtual-0.07-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Class-Virtual-0.07-1.fc21

Comment 8 Fedora Update System 2015-03-07 01:06:23 UTC
perl-Class-Virtual-0.07-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Class-Virtual-0.07-1.fc20

Comment 9 Fedora Update System 2015-03-07 01:07:11 UTC
perl-Class-Virtual-0.07-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Class-Virtual-0.07-1.el7

Comment 10 Fedora Update System 2015-03-07 01:08:13 UTC
perl-Class-Virtual-0.07-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Class-Virtual-0.07-1.el6

Comment 11 Fedora Update System 2015-03-08 22:45:45 UTC
perl-Class-Virtual-0.07-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2015-03-13 17:29:36 UTC
perl-Class-Virtual-0.07-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-03-17 01:54:07 UTC
perl-Class-Virtual-0.07-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-03-17 01:56:36 UTC
perl-Class-Virtual-0.07-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Fedora Update System 2015-03-25 19:57:54 UTC
perl-Class-Virtual-0.07-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Fedora Update System 2015-03-25 20:00:15 UTC
perl-Class-Virtual-0.07-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.